import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'

Vue.use(VueRouter)

const routes = [
  // 重定向
  {
    path: "/",
    redirect: "/home"
  },
  {
    path: '/home',
    name: 'home',
    component: Home,
    redirect: '/home/index',
    children: [
      {
        path: 'index',
        component: () => import("@/views/pages/home/HomeTab.vue")
      },
      {
        path: 'profile',
        component: () => import("@/views/pages/profile/Profile.vue")
      },

    ]
  },
  {
    path: '/detail',
    name: 'detail',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/pages/detail/Detail.vue')
  },
  {
    path: '/otherreg',
    name: 'otherreg',
    component: () => import("@/views/pages/otherreg/Otherreg.vue")
  },
  ////
  {
    path: '/selfreg',
    name: 'selfreg',
    component: () => import('../views/pages/selfreg/Selfreg.vue')
  }
]

const router = new VueRouter({
  routes
})

export default router
